﻿@import "https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700";

body {
    font-family: "Poppins", sans-serif;
    background: #fafafa;
    transition: background-color 0.5s ease;
    position: relative;
    overflow: hidden;
}

p {
    font-family: "Poppins", sans-serif;
    font-size: 1.1em;
    font-weight: 300;
    line-height: 1.7em;
    color: #fafafa;
    padding: 15px;
    margin: 5px;
}

.body-content {
    padding: 20px 15px;
}

.languageFlag {
    margin-right: 5px;
    width: 25px;
    height: auto;
    cursor: pointer;
}

.languageSwitch {
    z-index: 1040;
    color: grey;
    cursor: pointer;
    position: fixed;
    right: 250px;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    transition: color 0.4s;
}

.languageSwitch:hover {
    text-decoration: none;
}

.theme-toggle {
    position: fixed;
    right: 200px;
    z-index: 1040;
}

.theme {
    text-align: right;
}

.wrapper {
    display: flex;
    width: 100%;
    align-items: stretch;
}

.game-canvas {
    height: 88%;
    flex-grow: 1;
    position: relative;
}

/* SIDE BAR + ITEMS */
.sidebar {
    text-align: center;
    top: 0;
    background: #d26262;
    width: 300px;
    min-height: 100vh;
    transition: background-color 0.5s ease;
}

.switch-table {
    width: 80%;
}

.sidebar.active {
    margin-left: -300px;
}

@media (max-width: 768px) {
    .sidebar {
        margin-left: -300px;
    }

    .sidebar.active {
        margin-left: 0;
    }
}

.sidebar-header {
    color: white;
    padding: 10px;
    padding-top: 20px;
}

.sidebar-content {
    color: white;
    padding: 10px;
}

.sidebar-button {
    width: 80%;
    font-size: 15px;
    padding: 10px;
    background: #A84E4E;
    color: white;
    margin: 5px;
    transition: background-color 0.5s ease;
}

.sidebar-button:hover {
    color: white;
    box-shadow: inset 0 0 100px 100px rgba(0, 0, 0, 0.1);
}

.sidebar-button:focus .sidebar-button:focus {
    color: white;
}

.sidebar-button-group {
    margin: 10px -10px 10px -10px;
    width: 300px;
    position: absolute;
    text-align: center;
    padding: 15px;
    bottom: 0px;
}

/* Radio Buttons */
.radio-buttons-option {
    text-align: left;
}

.radio-buttons-option h5 {
    font-size: 16px;
}

.custom-radio {
    display: none;
}

.custom-radio + label {
    font-weight: normal;
    cursor: pointer;
}

.custom-radio + label span {
    display: inline-block;
    vertical-align: middle;
    margin-right: 5px;
    width: 18px;
    height: 18px;
    cursor: pointer;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    position: relative;
    border: 1px solid #2196F3;
}

.custom-radio + label span::before {
    content: "";
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
    width: 9px;
    height: 9px;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    background-color: #2196F3;
    position: absolute;
    left: 50%;
    top: 50%;
    bottom: auto;
    right: auto;
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -moz-transition: opacity 0.2s;
    -o-transition: opacity 0.2s;
    -webkit-transition: opacity 0.2s;
    transition: opacity 0.2s;
}

.custom-radio:checked + label span::before {
    filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
    opacity: 1;
}

.custom-radio:disabled + label {
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=50);
    opacity: 0.5;
}

.custom-radio:disabled + label, .custom-radio:disabled + label span {
    cursor: default;
}

/* MODAL */
.modal-code {
    color: #434e65;
    width: 525px;
}

.modal-code .modal-content {
    padding: 20px;
    font-size: 14px;
    border-radius: 5px;
    border: none;
}

.modal-code .input-group-addon {
    cursor: pointer;
    background: #75B2af;
    color: #f5f5f5;
    transition: all 0.4s;
}

.modal-code .input-group-addon:hover {
    background: #609693;
    color: #fff;
}

.modal-code p {
    color: #434e65;
}

.modal-code .modal-header {
    background: #efcb5f;
    border-bottom: none;
    position: relative;
    text-align: center;
    margin: -20px -20px 0;
    border-radius: 5px 5px 0 0;
    padding: 35px;
}

.modal-code .form-control, .modal-code .btn {
    min-height: 40px;
}

.modal-code close:hover {
    opacity: 0.8;
}

.modal-code .icon-box {
    color: #fff;
    width: 95px;
    height: 95px;
    display: inline-block;
    border-radius: 50%;
    z-index: 9;
    border: 5px solid #fff;
    padding: 15px;
    text-align: center;
}

.modal-code .icon-box i {
    font-size: 64px;
    margin: -4px 0 0 -4px;
}

.modal-code .modal-dialog {
    margin-top: 80px;
}

.modal-code h4 {
    text-align: center;
    font-size: 36px;
    margin: 10px 0;
}

.modal-code .btn {
    color: #fff;
    border-radius: 4px;
    background: #75B2af;
    text-decoration: none;
    transition: all 0.4s;
    line-height: normal;
    margin-top: 10px;
    padding: 6px 20px;
    border: none;
}

.modal-code .btn:hover, .modal-code .btn:focus {
    background: #609693;
    outline: none;
}

.modal-code .btn i {
    margin-left: 1px;
    font-size: 20px;
    float: right;
}

.modal-code .btn span {
    margin: 1px 3px 0;
    float: left;
}

.modal-code .trigger-btn {
    display: inline-block;
    margin: 100px auto;
}

/* MODAL EASTER EGG */
.modal-easteregg {
    color: #434e65;
    width: 60%;
}

.modal-easteregg .modal-content {
    padding: 20px;
    text-align: justify;
    font-size: 16px;
    border-radius: 5px;
    border: none;
}

.modal-easteregg .input-group-addon {
    cursor: pointer;
    background: #75B2af;
    color: #f5f5f5;
    transition: all 0.4s;
}

.modal-easteregg .input-group-addon:hover {
    background: #609693;
    color: #fff;
}

.modal-easteregg p {
    color: #434e65;
}

.modal-easteregg .modal-header {
    background: #efcb5f;
    border-bottom: none;
    position: relative;
    text-align: center;
    margin: -20px -20px 0;
    border-radius: 5px 5px 0 0;
    padding: 25px;
}

.modal-easteregg .form-control, .modal-easteregg .btn {
    min-height: 40px;
}

.modal-easteregg close:hover {
    opacity: 0.8;
}

.modal-easteregg .icon-box {
    color: #fff;
    width: 95px;
    height: 95px;
    display: inline-block;
    border-radius: 50%;
    z-index: 9;
    border: 5px solid #fff;
    padding: 15px;
    text-align: center;
}

.modal-easteregg .icon-box i {
    font-size: 64px;
    margin: -4px 0 0 -4px;
}

.modal-easteregg .modal-dialog {
    margin-top: 80px;
}

.modal-easteregg h4 {
    text-align: center;
    font-size: 36px;
    margin: 10px 0;
}

.modal-easteregg .btn {
    color: #fff;
    border-radius: 4px;
    background: #75B2af;
    text-decoration: none;
    transition: all 0.4s;
    line-height: normal;
    margin-top: 10px;
    padding: 6px 20px;
    border: none;
}

.modal-easteregg .btn:hover, .modal-easteregg .btn:focus {
    background: #609693;
    outline: none;
}

.modal-easteregg .btn i {
    margin-left: 1px;
    font-size: 20px;
    float: right;
}

.modal-easteregg .btn span {
    margin: 1px 3px 0;
    float: left;
}

.modal-easteregg .trigger-btn {
    display: inline-block;
    margin: 100px auto;
}

.modal-easteregg .barbarossa-img {
    width: auto;
    height: 350px;
}

.modal-easteregg .bubble-speech {
    position: relative;
    font-family: "Source Sans Pro", sans-serif;
    margin: auto;
    line-height: 22px;
    letter-spacing: 1px;
    margin-top: 16px;
    margin-bottom: 48px;
    width: 100%;
    background-color: #efefef;
    padding: 16px;
}

.modal-easteregg .bubble-square {
    width: 33px;
    height: 25px;
    text-align: center;
}

.modal-easteregg .bubble-speech.bubble-right:after {
    z-index: 9002;
    display: block;
    content: "";
    position: absolute;
    bottom: -11px;
    right: 0;
    border-top: 0 #efefef solid;
    border-bottom: 12px transparent solid;
    border-right: 20px #efefef solid;
}

.modal-easteregg .bubble-speech .author {
    max-width: 200px;
    font-weight: bold;
    margin: 0;
    padding: 0 12px 2px 0;
}

/* DARK THEME CHANGES */
.dark {
    background: #4A4A50 !important;
}

.darkSidebar {
    background: #5B7E7E !important;
}

.darkToggle {
    color: white !important;
    font-size: 18px !important;
}

.dark-panel-heading {
    background-color: #7B9797 !important;
}

.darkOptions {
    border-left: 5px solid #7B9797 !important;
}

.darkButton {
    background: #7B9797 !important;
}

.darkButton button:focus {
    color: white;
    box-shadow: inset 0 0 100px 100px rgba(255, 255, 255, 0.1) !important;
}

.darkLanguage {
    color: white;
}

.tgl {
    display: none;
}

.tgl, .tgl:after, .tgl:before, .tgl *, .tgl *:after, .tgl *:before, .tgl + .tgl-btn {
    box-sizing: border-box;
}

.tgl::selection, .tgl:after::selection, .tgl:before::selection, .tgl *::selection, .tgl *:after::selection, .tgl *:before::selection, .tgl + .tgl-btn::selection {
    background: none;
}

.tgl + .tgl-btn {
    outline: 0;
    display: block;
    width: 3em;
    height: 1.5em;
    position: relative;
    cursor: pointer;
    user-select: none;
}

.tgl + .tgl-btn:after, .tgl + .tgl-btn:before {
    position: relative;
    display: block;
    content: "";
    width: 50%;
    height: 100%;
}

.tgl + .tgl-btn:after {
    left: 0;
}

.tgl + .tgl-btn:before {
    display: none;
}

.tgl:checked + .tgl-btn:after {
    left: 50%;
}

.tgl-light + .tgl-btn {
    background: #f0f0f0;
    border-radius: 2em;
    padding: 2px;
    transition: all 0.4s ease;
}

.tgl-light + .tgl-btn:after {
    border-radius: 50%;
    background: #fff;
    transition: all 0.2s ease;
}

.tgl-light:checked + .tgl-btn {
    background: #A84E4E;
}

.tgl-dark {
    background: #5B7E7E !important;
}

.tgl-dark + .tgl-btn {
    background: #f0f0f0;
    border-radius: 2em;
    padding: 2px;
    transition: all 0.4s ease;
}

.tgl-dark + .tgl-btn:after {
    border-radius: 50%;
    background: #fff;
    transition: all 0.2s ease;
}

.tgl-dark:checked + .tgl-btn {
    background: #7B9797;
}

.scrollable-menu {
    height: auto;
    max-width: 165px !important;
    max-height: 200px !important;
    overflow-x: hidden;
}

.layoutlist {
    width: 80%;
    margin: auto;
    display: flex;
    flex-direction: column;
    max-height: 400px;
    overflow-y: auto;
}

.layoutlist .layout {
    border: 2px solid #cecece;
    justify-items: center;
    justify-content: center;
    align-items: center;
    display: flex;
    flex: 1;
    padding: 10px;
    margin-bottom: 15px;
}

.layoutlist .layout .layoutname {
    flex: 7;
    font-size: 17px;
}

.layoutlist .layout .loadlayout {
    flex: 1;
    margin: 0;
}

/*# sourceMappingURL=site.css.map */
